Package com.sun.mail.gimap

# Class GmailFolder.FetchProfileItem

java.lang.Object
javax.mail.FetchProfile.Item
com.sun.mail.gimap.GmailFolder.FetchProfileItem

Enclosing class:
  GmailFolder

public static class GmailFolder.FetchProfileItem extends FetchProfile.Item
A fetch profile item for fetching headers. This inner class extends the `FetchProfile.Item` class to add new FetchProfile item types, specific to Gmail.

See Also:
  - `FetchProfile`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final GmailFolder.FetchProfileItem`
`LABELS`
LABELS is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder.
`static final GmailFolder.FetchProfileItem`
`MSGID`
MSGID is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder.
`static final GmailFolder.FetchProfileItem`
`THRID`
THRID is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder.

### Fields inherited from class javax.mail.FetchProfile.Item

`CONTENT_INFO, ENVELOPE, FLAGS, SIZE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`FetchProfileItem(String name)`

## Method Summary

### Methods inherited from class javax.mail.FetchProfile.Item

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### MSGID

public static final GmailFolder.FetchProfileItem MSGID
MSGID is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder. This item indicates that the Gmail unique message ID for messages in the specified range are desired to be prefetched.

An example of how a client uses this is below:

>             FetchProfile fp = new FetchProfile();
>             fp.add(GmailFolder.FetchProfileItem.MSGID);
>             folder.fetch(msgs, fp);

### THRID

public static final GmailFolder.FetchProfileItem THRID
THRID is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder. This item indicates that the Gmail unique thread ID for messages in the specified range are desired to be prefetched.

An example of how a client uses this is below:

>             FetchProfile fp = new FetchProfile();
>             fp.add(GmailFolder.FetchProfileItem.THRID);
>             folder.fetch(msgs, fp);

### LABELS

public static final GmailFolder.FetchProfileItem LABELS
LABELS is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder. This item indicates that the Gmail labels for messages in the specified range are desired to be prefetched.

An example of how a client uses this is below:

>             FetchProfile fp = new FetchProfile();
>             fp.add(GmailFolder.FetchProfileItem.LABELS);
>             folder.fetch(msgs, fp);

## Constructor Details

### FetchProfileItem

protected FetchProfileItem(String name)